%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%			%%									%%    
%%		programme de calcul des lignes de champ	%%
%%							%%
%%							%%	
%%		 					%%
%%							%%			
%%									%%		
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear
hold on
%% Constantes

	a=0;
	L=3.9;
	Kd=2;
	Kg=2;
	R=1.4;
	I=10000;

%% Equations du champ

Ht = 500; 	%% boucle de champ total constant
	for x = 0: 0.05 :5 ;
		for y = -2: 0.05: 10;

		Hx1=(L-y)./((L-y).^2+x.^2);
		Hx2=y./(Kd*(y.^2+(x-R/2).^2));
		Hx3=y./(Kg*(y.^2+(x+R/2).^2));
		Hy1=(x)./((L-y).^2+x.^2);
		Hy2=(R/2-x)./(Kd*(y.^2+(x-R/2).^2));
		Hy3=-(x+R/2)./(Kg*(y.^2+(x+R/2).^2));
	
		Htx=I/(2*pi)*(Hx1+Hx2+Hx3);
		Hty=I/(2*pi)*(Hy1+Hy2+Hy3);

		Htc=sqrt(Htx.^2+Hty.^2);
		
		if abs(Ht-Htc) <= Ht/100
			a = a+1; 
			X(a) = x;
			Y(a) = y;	
			HTc(a) = Htc;
			
		end
	end
end

plot(X,Y,'co');	

plot(0.7,0,'yo');
%% trac axe sol
	for c = 0: 0.05: 3
		line (c,0);
	end

		



