#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include "graphaux.h"
#include "graphes.h"

int main(int argc, char **argv)
{
  graphe *g, *g_1, *a;
  int na, ns;     /* nombre d'arcs, nombre de sommets */
  chrono Chrono1; /* pour la mesure du temps */
  int temps;      /* idem */
  FILE *fd;
  int i, j, narc;

  if (argc != 3)
  {
    fprintf(stderr, "usage: %s in.graph out.graph\n", argv[0]);
    exit(0);
  }

  g = ReadGraphe(argv[1]);             /* lit le graphe a partir du fichier */
  Gamma2ListArcs(g); 

  // calcule l'arbre de poids maximum sur g
  g_1 = Symetrique(g);
  a = Kruskal1(g, g_1);

  SaveGraphe(a, argv[argc - 1]); 

  TermineGraphe(g);
  TermineGraphe(g_1);
  TermineGraphe(a);

  return 0;
} /* main() */
