

from math import *
seuil = 1000
filename = "bs1.list"


#lire le fichier de point (exemple d'un commentaire inutile)
infile = open(filename, "r")
# premier element du fichier, mais on s'en fout
nbPoints = infile.readline()

#lit tout le reste du fichier
lines = infile.readlines()
infile.close()

#construit la liste des points (compact)
nodes = [[float(line.split()[0]), float(line.split()[1])] \
       for line in lines]

nbPoints = len(nodes)
#nbPoints = 10

#construit les edges
edges=[]
for i in xrange(0,nbPoints-1):
       for j in xrange(i+1,nbPoints):
               d = sqrt(\
           (nodes[i][0]-nodes[j][0])*(nodes[i][0]-nodes[j][0])\
           +(nodes[i][1]-nodes[j][1])*(nodes[i][1]-nodes[j][1]))
               if d<seuil:
                       edges.append([i,j,d])


# Trier les edges (exemple d'un commentaire inutile)
edges.sort(lambda x,y: cmp(x[2],y[2]) )


#print edges

#Union find pour Kruskal
def find(elem, father):
   i = elem
   while father[i]>=0:
       i = father[i]
   while father[elem]>=0:
       temp = elem
       elem = father[elem]
       father[temp] = i
   return i

def union(i, j, father):
   if father[j]>father[i]:
       father[i] += father[j]
       father[j] = i
   else:
       father[j] += father[i]
       father[i] = j

father = [-1 for s in nodes]

# Kruskal
tree = []
for e in edges:
   i = find(e[0], father)
   j = find(e[1], father)
   d=e[2]
   #print e[0], i, e[1], j
   if i!=j:
       union(i,j, father)
       tree.append([e[0],e[1],d])


# Afficher le MST
#print
#print "Et voila le MST"
#print tree

from Tkinter import *
root = Tk()

maxX=0
maxY=0

for pt in nodes:
   pt[0] +=10
   pt[1] +=10
   if maxX<pt[0]:
       maxX=pt[0]
   if maxY<pt[1]:
       maxY=pt[1]

can = Canvas( root, width=maxX+10, height=maxY+10 )
can.pack()

w = 3
for pt in nodes:
   can.create_oval(pt[0]-w,pt[1]-w,pt[0]+w,pt[1]+w, \
       width=2, fill="red",outline="red")


for e in tree:
   pt1 = nodes[e[0]]
   pt2 = nodes[e[1]]
   can.create_line(pt1[0],pt1[1], pt2[0], pt2[1], \
       width=2,fill="green")

root.mainloop()

