#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include "graphaux.h"
#include "graphes.h"

int main(int argc, char **argv)
{
  graphe *g, *g_s, *d;
  int na, ns;     /* nombre d'arcs, nombre de sommets */
  chrono Chrono1; /* pour la mesure du temps */
  int temps;      /* idem */
  FILE *fd;
  int i, j, narc;

  if (argc != 3)
  {
    fprintf(stderr, "usage: %s in.graph out.graph\n", argv[0]);
    exit(0);
  }

  g = ReadGraphe(argv[1]);
  g_s = FermetureSymetrique(g);
  d = MaxDiameterTree(g_s);

  CopyXY(g, d);
  SaveGraphe(d, argv[argc - 1]); 

  TermineGraphe(g);
  TermineGraphe(g_s);
  TermineGraphe(d);

  return 0;
} /* main() */
