#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include "graphaux.h"
#include "graphes.h"

void main(int argc, char **argv)
{
  graphe *g, *gr;

  if (argc != 3)
  {
    fprintf(stderr, "usage: %s g_in g_out\n", argv[0]);
    exit(0);
  }

  g = ReadGraphe(argv[1]);             /* lit le graphe a partir du fichier */
  gr = FermetureSymetrique(g);
  WriteGraphe(gr, argv[2], 0, 0, 0);

  TermineGraphe(g);
  TermineGraphe(gr);

} /* main() */
