#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include "graphaux.h"
#include "graphes.h"

void main(int argc, char **argv)
{
  graphe *g;
  int na, ns;     /* nombre d'arcs, nombre de sommets */
  int i;

  if (argc != 3)
  {
    fprintf(stderr, "usage: %s graphe_value i\n", argv[0]);
    exit(0);
  }

  g = ReadGraphe(argv[1]);             /* lit le graphe a partir du fichier */
  i = atoi(argv[2]);
  Dijkstra(g, i);

  // genere une figure en PostScript
  // PlongementCirculaire(g, 150);        /* plonge le graphe dans le plan */
  //  EPSGraphe(g, "graph.ps", 4, 3, 25, 0, 1, 0, 1);
  EPSGraphe(g, "graph.ps", 4, 3, 25, 0, 1, 0, 0);

  TermineGraphe(g);

} /* main() */
