#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include "graphaux.h"
#include "graphes.h"

int main(int argc, char **argv)
{
  graphe *g, *g_1;
  int a, b, c;

  if (argc != 4)
  {
    fprintf(stderr, "usage: %s in.graph a b\n", argv[0]);
    exit(0);
  }

  g = ReadGraphe(argv[1]);             /* lit le graphe a partir du fichier */
  a = atoi(argv[2]);
  b = atoi(argv[3]);

  g_1 = Symetrique(g);
  c = LCA(g_1, a, b);

  printf("LCA: %d\n", c);

  TermineGraphe(g);
  TermineGraphe(g_1);

  return 0;
} /* main() */
