#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include "graphaux.h"
#include "graphes.h"

int main(int argc, char **argv)
{
  graphe *g;
  int i;

  if (argc != 4)
  {
    fprintf(stderr, "usage: %s in.graph sommet out.graph\n", argv[0]);
    exit(0);
  }

  g = ReadGraphe(argv[1]);             /* lit le graphe a partir du fichier */
  i = atoi(argv[2]);

  Lee(g, i);

  SaveGraphe(g, argv[argc - 1]); 

  TermineGraphe(g);

  return 0;
} /* main() */
