
/* ===================================== */
/* GESTION DE LISTE ORDONNEE */
/* ===================================== */

/*! \struct Listo
    \brief structure de liste ordonne
*/
typedef struct Listo {
//! taille max de la Listo
  int Max;
//! index de pile (pointe la 1ere case libre)
  int Sp;
//! tableau pour la pile (re-dimensionn dynamiquement)
  int Pts[1];
} Listo;

/* prototypes     */
Listo * CreeListoVide( int taillemax );
void ListoFlush( Listo * L );
boolean ListoVide( Listo * L );
int ListoPopmin( Listo * L );
void ListoInsert( Listo * L, int V );
void ListoPrint( Listo * L );
void ListoPrintLine( Listo * L );
void ListoTermine( Listo * L );
