#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include "graphaux.h"
#include "graphes.h"

int main(int argc, char **argv)
{
  graphe *g, *g_1, *t;
  int i;

  if (argc != 4)
  {
    fprintf(stderr, "usage: %s in.graph sommet out.graph\n", argv[0]);
    exit(0);
  }

  g = ReadGraphe(argv[1]);             /* lit le graphe a partir du fichier */
  i = atoi(argv[2]);

  g_1 = Symetrique(g);
  t = RootTree(g, g_1, i);

  SaveGraphe(t, argv[argc - 1]); 

  TermineGraphe(t);
  TermineGraphe(g);
  TermineGraphe(g_1);

  return 0;
} /* main() */
